## org.eclipse.emf.mint
Interface IJavaTypeReference

All Known Implementing Classes:
  JavaTypeReference

    public interface IJavaTypeReference

Represents a Java type reference that may be resolvable in the context of a Java project. This allows us to delay Java type lookup until absolutely necessary.

Clients may implement this interface.

Method Summary
`org.eclipse.jdt.core.IJavaProject` `getContext()` Returns the Java project context.
`java.lang.String` `getTypeName()` Returns the name of the Java type.

Method Detail

### getContext

    org.eclipse.jdt.core.IJavaProject getContext()

  Returns the Java project context.

  Returns:
    Java project context

### getTypeName

    java.lang.String getTypeName()

  Returns the name of the Java type.

  Returns:
    name of the Java type

Copyright 2008 Ecliptical Software Inc. and others. All Rights Reserved.